Retrieve an InvoicePayment 

Retrieves the invoice payment with the given ID.

Parameters

No parameters.

Returns

Returns an invoice_payment object if a valid invoice payment ID was provided. Otherwise, this call raises an error.

GET /v1/invoice_payments/:id
curl https://api.stripe.com/v1/invoice_payments/inpay_1M3USa2eZvKYlo2CBjuwbq0N \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:"
Response
{
"id": "inpay_1M3USa2eZvKYlo2CBjuwbq0N",
"object": "invoice_payment",
"amount_paid": 2000,
"amount_requested": 2000,
"created": 1391288554,
"currency": "usd",
"invoice": "in_103Q0w2eZvKYlo2C5PYwf6Wf",
"is_default": true,
"livemode": false,
"payment": {
"type": "payment_intent",
"payment_intent": "pi_103Q0w2eZvKYlo2C364X582Z"
},
"status": "paid",
"status_transitions": {
"canceled_at": null,
"paid_at": 1391288554
}
}

List all payments for an invoice 

When retrieving an invoice, there is an includable payments property containing the first handful of those items. There is also a URL where you can retrieve the full (paginated) list of payments.

Parameters

  • invoicestring

    The identifier of the invoice whose payments to return.

  • paymentobject

    The payment details of the invoice payments to return.

  • statusenum

    The status of the invoice payments to return.

    Possible enum values
    canceled

    The payment has been canceled; it will not be credited to the invoice.

    open

    The payment is incomplete and isn’t credited to the invoice. More fine-grained information available on the payment intent

    paid

    The payment is complete and has been credited to the invoice.

More parameters

  • createdobject

  • ending_beforestring

  • limitinteger

  • starting_afterstring

Returns

A dictionary with a data property that contains an array of up to limit invoice payments, starting after invoice payment starting_after. Each entry in the array is a separate invoice_payment object. If no more invoice payments are available, the resulting array will be empty.

GET /v1/invoice_payments
curl -G https://api.stripe.com/v1/invoice_payments \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:" \
-d invoice=in_103Q0w2eZvKYlo2C5PYwf6Wf
Response
{
"object": "list",
"url": "/v1/invoice_payments",
"has_more": false,
"data": [
{
"id": "inpay_1M3USa2eZvKYlo2CBjuwbq0N",
"object": "invoice_payment",
"amount_paid": 2000,
"amount_requested": 2000,
"created": 1391288554,
"currency": "usd",
"invoice": "in_103Q0w2eZvKYlo2C5PYwf6Wf",
"is_default": true,
"livemode": false,
"payment": {
"type": "payment_intent",
"payment_intent": "pi_103Q0w2eZvKYlo2C364X582Z"
},
"status": "paid",
"status_transitions": {
"canceled_at": null,
"paid_at": 1391288554
}
}
]
}